<template>
  <div class="guns-body guns-body-card">
    <a-card title="进度条" :bordered="false">
      <guns-progress
        v-model:value="selectValue"
        :disabled="disabled"
        :readonly="readonly"
        @onChange="onChange"
        style="width: 300px"
      ></guns-progress>
    </a-card>
  </div>
</template>

<script setup>
import { ref } from 'vue';

// 选中的值
const selectValue = ref(15);
// 是否禁用
const disabled = ref(false);

// 是否只读
const readonly = ref(false);

// 值改变
const onChange = () => {
  console.log(selectValue.value);
};
</script>

<style></style>
